Bug 835117 - [abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:6152ea185f76ece67fcdbff1714...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 11:14 EDT by Paul Lange
Modified: 2013-08-01 06:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (55.96 KB, text/plain)
2012-06-25 11:15 EDT, Paul Lange
no flags Details
File: xsession_errors (115.12 KB, text/plain)
2012-06-25 11:15 EDT, Paul Lange
no flags Details
File: maps (36.71 KB, text/plain)
2012-06-25 11:15 EDT, Paul Lange
no flags Details
File: dso_list (13.86 KB, text/plain)
2012-06-25 11:15 EDT, Paul Lange
no flags Details

  None (edit)
Description Paul Lange 2012-06-25 11:14:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit
crash_function: gcp_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
kernel:         3.4.3-1.fc17.i686
pid:            18884
pwd:            /home/paul
time:           Mo 25 Jun 2012 13:36:34 CEST
uid:            1000
username:       paul

backtrace:      Text file, 57304 bytes
dso_list:       Text file, 14188 bytes
maps:           Text file, 37586 bytes
xsession_errors: Text file, 117887 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/paul/2

core_backtrace:
:b4186929826588e791d52dcf3a56150da74e82cb 0x1cecc - libgcp.so -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2dad5a - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x21b925 gtk_style_context_invalidate libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x21bda8 gtk_style_context_set_path libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de39f gtk_widget_get_path libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de459 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1f9cc6 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1bc967 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x9f78a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x9f7ba - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1ac549 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x9f78a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1c0e92 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1c0ea2 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x9f78a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x9b910 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec83f gtk_container_forall libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de49a - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2de528 gtk_widget_reset_style libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x21855a gtk_style_context_reset_widgets libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x218680 gtk_style_context_add_provider_for_screen libgtk-3.so.0 -
:b4186929826588e791d52dcf3a56150da74e82cb 0xdd87 - libgcp.so -
:1491eb19550222f8ee7874f1adff996ab5232225 0x221e8 gedit_app_activatable_activate libgedit-private.so -
:1114b1a1e9938645b78d437ed6e5c7b4e922e18e 0x1f1fd _start [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/paul/keyring-bAlf99
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=paul
:MAIL=/var/spool/mail/paul
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/paul/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/paul
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=971
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/paul
:SHLVL=1
:LOGNAME=paul
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eruoLx8xEZ,guid=3acc7883e74d2455f917026400000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/paul
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-paul-Dqv5g8/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/988,unix/unix:/tmp/.ICE-unix/988
:SSH_AUTH_SOCK=/run/user/paul/keyring-bAlf99/ssh
:GPG_AGENT_INFO=/run/user/paul/keyring-bAlf99/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=18884
:DESKTOP_STARTUP_ID=gnome-shell-1215-laptop-gedit-23_TIME5987009

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24101                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24101                24101                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/paul/.xsession-errors
:pos:	73964
:flags:	02002
:2:/home/paul/.xsession-errors
:pos:	73964
:flags:	02002
:3:socket:[1074627]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1074630]
:pos:	0
:flags:	02004002
:6:socket:[1074632]
:pos:	0
:flags:	02000002
:7:socket:[1074634]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[1074644]
:pos:	0
:flags:	02004002
:13:socket:[1077120]
:pos:	0
:flags:	02000002
:14:/tmp/ffiQykKmd (deleted)
:pos:	0
:flags:	02
:15:/home/paul/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:16:/home/paul/.local/share/gvfs-metadata/home-c7818114.log
:pos:	0
:flags:	0100000
:17:socket:[1115339]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: f03c8ca2-5faf-4d33-8943-d472e0074b6f
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: i686
:BogoMIPS: 4521.66
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz
:CPU-Stepping: 6
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2267
:Systemspeicher: 3029
:System-Swap: 5087
:Anbieter: Hewlett-Packard
:System: HP Pavilion dv5 Notebook PC F.0C
:Form-Faktor: Notebook
:Kernel: 3.4.3-1.fc17.i686
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10816:4156:13827) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4156:13827) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4156:13827) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4156:13827) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4156:13827) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:4156:13827) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:4156:13827) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4156:13827) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13827) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4332:33128:4156:13827) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10564:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4156:13827) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(6523:9088:4156:13827) pci, firewire_ohci, FIREWIRE, IEEE 1394 Host Controller
:(32902:10551:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(6523:9089:4156:13827) pci, None, BASE, Standard SD Host Controller
:(6523:9091:4156:13827) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9092:4156:13827) pci, None, BASE, xD Host Controller
:(32902:10552:4156:13827) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1609:4156:13827) pci, nouveau, VIDEO, G96 [GeForce 9600M GT]
:(6523:9090:4156:13827) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:10570:4156:13827) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:16951:32902:4625) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_laptop-lv_root / ext4 4096 4096 13909181 12175058 12035818 3481600 3320481 3320481
:/dev/sda3 WITHHELD fuseblk 4096 4096 30207743 4388901 4388901 17653908 17628878 17628878
:/dev/sda5 /boot ext4 1024 1024 508644 426836 401236 128016 127668 127668
:/dev/mmcblk0p1 WITHHELD vfat 32768 32768 485936 4065 4065 0 0 0
:

var_log_messages:
:Jun 24 02:48:05 laptop yum[1897]: Updated: 2:gedit-3.4.2-1.fc17.i686
:Jun 25 13:11:59 laptop yum[18768]: Installed: gedit-code-assistance-0.1.3-1.fc17.i686
:Jun 25 13:12:01 laptop yum[18768]: Installed: gedit-plugins-3.4.0-2.fc17.i686
:Jun 25 13:16:08 laptop abrt[18823]: Saved core dump of pid 18733 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-25-13:16:08-18733 (45449216 bytes)
:Jun 25 13:16:54 laptop abrt: detected unhandled Python exception in 'gedit'
:Jun 25 13:36:35 laptop abrt[19500]: Saved core dump of pid 18884 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-25-13:36:34-18884 (79208448 bytes)
Comment 1 Paul Lange 2012-06-25 11:15:02 EDT
Created attachment 594209 [details]
File: backtrace
Comment 2 Paul Lange 2012-06-25 11:15:10 EDT
Created attachment 594210 [details]
File: xsession_errors
Comment 3 Paul Lange 2012-06-25 11:15:15 EDT
Created attachment 594211 [details]
File: maps
Comment 4 Paul Lange 2012-06-25 11:15:18 EDT
Created attachment 594212 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 23:07:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 06:15:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.